/*
Barre d'Outils OGSPY, extension firefox d'aide aux mise  jour de serveurs OGSPY

OGSPY Toolbar, a firefox plugin for helping players in updating OGSPY servers game datas

Copyright (C) 2006-2007 Naqdazar (ajdr@free.fr)

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier
au titre des clauses de la Licence Publique Gnrale GNU, telle que publie par la
Free Software Foundation ; soit la version 2 de la Licence.
Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;
 sans mme une garantie implicite de COMMERCIABILITE ou DE CONFORMITE A UNE UTILISATION PARTICULIERE.

 Voir la Licence Publique Gnrale GNU pour plus de dtails.

 Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale GNU avec ce programme ;
  si ce n'est pas le cas, crivez  la Free Software Foundation Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

This program is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public licence as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details.

You should have received a copy of the GNU General Public licence along with this program;
 if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/



/**
 * Appel toutes les fonctions prdfinies capables de dtecter et analyser une page de jeu EUnIvers
 * Fonction de test/essai - non fonctionnel
 * @param partargetdoc
 **/
function OGPlugin_EUniversChkAllHandledPages(partargetdoc)
{

        var datacontent;

        // infos plante / coord non dispo sur page galaxie et pages empires!!!!! -> exception
        PlanetNameWithCoords = OGPlugin_getOgamePlanetLabel(partargetdoc); // eg sur Ogame : "Terria [1:120:8]"
        //alert('PlanetNameWithCoords: '+PlanetNameWithCoords+"\n"+CurrentDocUrl);

        //=====================================================================================================

        // traitement vue galaxies
        OGPlugin_HandleEUniversGalaxyPage(partargetdoc);
        
        // Dtection de la page classements gnraux joueurs/alliances
        OGPlugin_HandleEUniversStatsPage(partargetdoc);

        // Dtection de la page messages
        OGPlugin_HandleEUniversMessagesPage(partargetdoc);
        
        //OGPlugin_HandleEUniversAllyPage(partargetdoc);

        //=====================================================================================================

        // Exprimental: dtection de la page btiments?
        OGPlugin_HandleEUniversBuildingPage();
        
        // page plateforme spatiale et dfense
        OGPlugin_HandleEUniversAltBuildingsPage();
        
        // page centre technique / laboratoire de recherches
        OGPlugin_HandleEUniversCentreTechniquePage();


        //OGPlugin_HandleEUniversCombatReportPage();
        
        OGPlugin_HandleEUniversVueGlobalePage();
        
        // traitement page accueil
        OGPlugin_HandleEUniversAccueilPage();
        
        // OGPlugin_HandleEUniversRessourcePage(); // page ressources inutile
        
        // Page flotte
        OGPlugin_HandleEUniversFleetPage();
        
        
}

/**
 * Fonction ddie E-Univers appele depuis la mthode OnClick du bouton "Envoyer"
 * qui sert  capturer les pages non traites automatiquement.
 **/
function OGPlugin_GetEUniversPageReport() {

    /**
     * Commandes prises en charge:
     *  reports : rapports d'espionnage, recyclage, espionnage ennemi
     *  buildings : page btiments
     *  technos : page laboratoire
     *  flotten : page flotte
     *  defence : page dfense
     *  combreports : rapports de combat sur cadre surgissant
     *  overview : vue gnrale - nb cases, temlprature, etc...
     **/

    // reports / buildings / combreports / defence / fleet / technos
    // ici OGPlugin_TrigDoc.location.href  revoir, plutt enr dans var locale juste aprs dtection
    if (SendButtonActionCmd=="reports") {
        /*  reportscat (byte):  1 -> rapport d'espionnage standard
                                2 -> rapport d'espionnage ennemi
                                4 -> rapport re recyclage
                                8 -> libell de rapport de combat //  revoir, essai! */
        var reportcats = 0; // on commence  zro pour les oprations binaires avec | (OU/OR).

        if (OGPlugin_getBoolPref('OGPlugin.settings.handlespyreports', false, '')) reportcats = reportcats | 1;
        if (OGPlugin_getBoolPref('OGPlugin.settings.handleenemyspy', false, '')) reportcats |= 2;
        if (OGPlugin_getBoolPref('OGPlugin.settings.handlerecyreports', false, '')) reportcats |= 4;

        var reports_data = OGPlugin_GetReportsByCat(reportcats, OGPlugin_TrigDoc);
        //alert(reports_data);

        if(ogs_getreportsdebug_mode) alert("reports_data: "+reports_data);

        // filtrage des espaces et points de nombre
        if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
            reports_data = OGPlugin_FilterNumberPoints(reports_data);

        //alert(reports_data);
        // filtrage des rapports suivant les options choisies
        reports_data = OGPlugin_FilterSpyReportsText(reports_data);

        //alert(reports_data);

        if (ogs_euniverscapture_debugmode)  alert(reports_data);
        if (reports_data!=null && reports_data.length>10)
            OGPlugin_result = OGPlugin_sendText('reports',reports_data,OGPlugin_TrigDoc.location.href);
        else OGPlugin_SetStatusViewLabel("nothingdone", ogs_gameprefixmsg+OGPlugin_GetLocString("reportsfound")+" - Aucun message \u00e0 capturer!");

    } else if (SendButtonActionCmd=="buildings") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);
           
           // OGPlugin_CopyToClipboard(messageElements);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements!=false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(batiments)!");
    
    } else if (SendButtonActionCmd=="technos") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements!=false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(centre technique)!");

    } else if (SendButtonActionCmd=="flotten") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements!=false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(flotte)!");

    } else if (SendButtonActionCmd=="defence") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements!=false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(defense)!");

    } else if (SendButtonActionCmd=="combreports") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements!=false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(rapports de combat)!");

    } else if (SendButtonActionCmd=="overview") {
    
           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements != false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e n'a pas les propri\u00e9t\u00e9s requises(Vue Generale)!");

    } else if (SendButtonActionCmd=="planetempire") {

           // capture des donnes brutes
           var messageElements = OGPlugin_GetFullPageText(OGPlugin_TrigDoc);

           // filtrage des points de nombre
           if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
              messageElements = OGPlugin_FilterNumberPoints(messageElements);


           if (ogs_planetpagesdebug_mode==true) alert(messageElements);
           if (messageElements != false)
               OGPlugin_result = OGPlugin_sendText(SendButtonActionCmd,messageElements,OGPlugin_TrigDoc.location.href);
           else OGPlugin_SetStatusViewLabel("failure", ogs_gameprefixmsg+"Erreur: la zone de capture cibl\u00e9e(Vue Globale E-Univers) n'a pas les propri\u00e9t\u00e9s requises(Vue Generale)!");

    }

    OGPlugin_SetSendButtonLabel('', false); // dsactiver le bouton
}

/**
 * Fonctions de dtections des Pages Ogame et de prparation aux captures de donnes
 * Ces fonctions doivent pouvoir accder aux variables et constantes globales de ogsplugin.js
 * @param parDocument
 **/

function OGPlugin_HandleEUniversStatsPage(parDocument)
{

        //////////////////////////
        // CLASSEMENTS GENERAUX //
        //////////////////////////
        
        
        // Dtection de la page classements gnraux joueurs/alliances
        if (CurrentDocUrl.search(/\/index\.php\?action\=stats/i) > -1) {

            // rcupration des infos d'interface classement
            OGPlugin_selectedTyp = OGPlugin_getStatsTyp(parDocument);
            OGPlugin_selectedWho = OGPlugin_getStatsWho(parDocument);
            OGPlugin_selectedRanks = OGPlugin_getStatswhitch(parDocument);
		
            //alert(OGPlugin_selectedTyp+'-'+OGPlugin_selectedWho+'-'+OGPlugin_selectedRanks);

            if (OGPlugin_getBoolPref('OGPlugin.settings.autocopytoclpbrd', false, '')) {
                var statstextsel = OGPlugin_GetStatsTextSel(parDocument);

                // ajout de tags pour ODS
                statstextsel = "<typeclassement="+ogs_stats_who_tags[OGPlugin_selectedWho]+"_"+ogs_stats_what_tags[OGPlugin_selectedTyp]+">\n" + statstextsel;
                if (OGPlugin_CopyToClipboard(statstextsel))
                OGPlugin_SetStatusViewLabel("success", ogs_gameprefixmsg+'Classement g\u00e9n\u00e9ral copi\u00e9 dans le presse-papier');
            }

            statusviewline = OGPlugin_GetLocString("statsfound.prefix");
            if (OGPlugin_selectedWho == 0) statusviewline += OGPlugin_GetLocString("statsupdated.playerprefix");
            if (OGPlugin_selectedWho == 1) statusviewline += OGPlugin_GetLocString("statsupdated.allyprefix");

            if (OGPlugin_selectedTyp == 0) statusviewline_typ = OGPlugin_GetLocString("statsupdated.scorewordinfix");
            if (OGPlugin_selectedTyp == 1) statusviewline_typ = OGPlugin_GetLocString("statsupdated.fleetwordinfix");
            if (OGPlugin_selectedTyp == 2) statusviewline_typ = OGPlugin_GetLocString("statsupdated.researchwordinfix");


            statusviewline += "("+statusviewline_typ+")"+" ["+OGPlugin_selectedRanks+"] "+OGPlugin_GetLocString("statsfound.suffix");
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);

            if (ogs_euniverscapture_debugmode==true) {
                alert(OGPlugin_getStatsText(parDocument,false));
            }
            datacontent = OGPlugin_getStatsText(parDocument,false);
            
            // surbrillance active??
            if (OGPlugin_getBoolPref('OGPlugin.settings.enablehighlighting', false, '')==true) {
                ///////////////////////////////////////////////////////////
                // MISE EN COULEUR DES JOUEURS ET ALLIANCE DU CLASSEMENT // ********************
                ///////////////////////////////////////////////////////////

                // Mise en surbrillance
                // Appel d'office, traitements catgorie dans la fonction
                var tmpaltfriendlyallies = OGPlugin_getCharPref("OGPlugin.settings.srvfriendlyallies"+ogs_targetserverid, '', '');
                var tmpaltpnaallies = OGPlugin_getCharPref("OGPlugin.settings.srvpnaallies"+ogs_targetserverid, '', '');
                var tmpaltenemyallies = OGPlugin_getCharPref("OGPlugin.settings.srvenemyallies"+ogs_targetserverid, '', '');
                var tmpalttradingallies = OGPlugin_getCharPref("OGPlugin.settings.srvtradingallies"+ogs_targetserverid, '', '');
                // appel de la fonction mise en couleur des lments du tableau
                OGPlugin_StatsColorTypedNames(OGPlugin_selectedWho, OGPlugin_selectedTyp, parDocument, ogs_targetserverid, OGPlugin_FoxGameGetBooleanPref("foxgameAddStatButtons",false),tmpaltfriendlyallies,tmpaltpnaallies,tmpaltenemyallies, tmpalttradingallies);
                //******************************************************************
            } // fin test gestion surbrillance
            
            if (datacontent.length>10 && datacontent!=null)
            OGPlugin_result = OGPlugin_sendText('stats',datacontent,parDocument.location.href);
        }
        
        return; // quitter, bauche code eunivers
        
        // commun  toutes les actions d'envoi manuel
        if (CurrentDocUrl.search(/\/index\.php\?action\=stats/i) > -1) {

            if (ogs_getstatsdebug_mode==true) alert("Page statistiques dtecte!");




            var handlegeneralstats=false;
            // rcupration des infos d'interface classement
            OGPlugin_selectedTyp = OGPlugin_getStatsTyp(parDocument);
            OGPlugin_selectedWho = OGPlugin_getStatsWho(parDocument);
            OGPlugin_selectedRanks = OGPlugin_getStatswhitch(parDocument);



            statusviewline = OGPlugin_GetLocString("statsfound.prefix");
            if (OGPlugin_selectedWho == 0) statusviewline += OGPlugin_GetLocString("statsupdated.playerprefix");
            if (OGPlugin_selectedWho == 1) statusviewline += OGPlugin_GetLocString("statsupdated.allyprefix");

            if (OGPlugin_selectedTyp == 0) statusviewline_typ = OGPlugin_GetLocString("statsupdated.scorewordinfix");
            if (OGPlugin_selectedTyp == 1) statusviewline_typ = OGPlugin_GetLocString("statsupdated.fleetwordinfix");
            if (OGPlugin_selectedTyp == 2) statusviewline_typ = OGPlugin_GetLocString("statsupdated.researchwordinfix");





            if (OGPlugin_getBoolPref('OGPlugin.settings.autocopytoclpbrd', false, '')) {
                var statstextsel = OGPlugin_GetStatsTextSel(parDocument);

                // ajout de tags pour ODS
                statstextsel = "<typeclassement="+ogs_stats_who_tags[OGPlugin_selectedWho]+"_"+ogs_stats_what_tags[OGPlugin_selectedTyp]+">\n" + statstextsel;
                if (OGPlugin_CopyToClipboard(statstextsel))
                OGPlugin_SetStatusViewLabel("success", ogs_gameprefixmsg+'Classement g\u00e9n\u00e9ral copi\u00e9 dans le presse-papier');
            }

            // Si le tampon n'est pas vide activer le bouton mme si la mise en tampon n'est pas active
            if (Curr_StatBufCount[OGPlugin_selectedWho][OGPlugin_selectedTyp]>0) OGPlugin_SetFlushButtonState(true);

            statusviewline += "("+statusviewline_typ+")"+" ["+OGPlugin_selectedRanks+"] "+OGPlugin_GetLocString("statsfound.suffix");
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);
            //----------------------------------------
            // doit rcuprer le texte du classement avant de mettre en surbrillance
            text = OGPlugin_getStatsText(parDocument, OGPlugin_FoxGameGetBooleanPref("foxgameAddStatButtons",false));


            if (ogs_filterpoint_debug_mode==true) alert(text);
            // filtrage des points de nombre
            /* if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true) {
                if (ogs_filterpoint_debug_mode==true) alert(text);
                // text = OGPlugin_FilterNumberPoints(text); // INUTILE
            } */

            // surbrillance active??
            if (OGPlugin_getBoolPref('OGPlugin.settings.enablehighlighting', false, '')==true) {
                ///////////////////////////////////////////////////////////
                // MISE EN COULEUR DES JOUEURS ET ALLIANCE DU CLASSEMENT // ********************
                ///////////////////////////////////////////////////////////

                // Mise en surbrillance
                // Appel d'office, traitements catgorie dans la fonction
                var tmpaltfriendlyallies = OGPlugin_getCharPref("OGPlugin.settings.srvfriendlyallies"+ogs_targetserverid, '', '');
                var tmpaltpnaallies = OGPlugin_getCharPref("OGPlugin.settings.srvpnaallies"+ogs_targetserverid, '', '');
                var tmpaltenemyallies = OGPlugin_getCharPref("OGPlugin.settings.srvenemyallies"+ogs_targetserverid, '', '');
                var tmpalttradingallies = OGPlugin_getCharPref("OGPlugin.settings.srvtradingallies"+ogs_targetserverid, '', '');
                // appel de la fonction mise en couleur des lments du tableau
                OGPlugin_StatsColorTypedNames(OGPlugin_selectedWho, OGPlugin_selectedTyp, parDocument, ogs_targetserverid, OGPlugin_FoxGameGetBooleanPref("foxgameAddStatButtons",false),tmpaltfriendlyallies,tmpaltpnaallies,tmpaltenemyallies, tmpalttradingallies);
                //******************************************************************
            } // fin test gestion surbrillance

            //==================================================================
            // ajout boutons dfilement sur les pages de classement
            if (OGPlugin_getBoolPref("OGPlugin.settings.genstatsbuttons", false, '')==true) {
                try {
                    OGPlugin_AddStatsNextPrevButtons(parDocument);
                } catch(e) {
                  // ajout d'un message dans le journal sans affichage!
                  if (ogs_getstatsdebug_mode==true) alert("Erreur insertion boutons dfil");
                  ogs_StatusLabelsHistory.push(labeltext_date.toLocaleString()+" : "+OGPlugin_GetLocString("error.couldntinsertstatsbuttons"));
                }
            }
            //==================================================================
            if (OGPlugin_selectedWho == 0) {
                response_Whoname = OGPlugin_GetLocString("statsupdated.playerprefix");
                // dclaration dbut fichier: global pour fonction FillInStats....
                ogs_buff_statusviewline = OGPlugin_GetLocString("statsupdated.playerprefix");
            }
            if (OGPlugin_selectedWho == 1) {
                response_Whoname = OGPlugin_GetLocString("statsupdated.allyprefix");
                ogs_buff_statusviewline = OGPlugin_GetLocString("statsupdated.allyprefix");
            }
            //==================================================================
            if (OGPlugin_selectedTyp == 0) {
                response_Typename = OGPlugin_GetLocString("statsupdated.scorewordinfix");
                ogs_buff_statusviewline += '('+OGPlugin_GetLocString("statsupdated.scorewordinfix")+')';
            }
            if (OGPlugin_selectedTyp == 1) {
                response_Typename = OGPlugin_GetLocString("statsupdated.fleetwordinfix");
                ogs_buff_statusviewline += '('+OGPlugin_GetLocString("statsupdated.fleetwordinfix")+')';
            }
            if (OGPlugin_selectedTyp == 2) {
                response_Typename = OGPlugin_GetLocString("statsupdated.researchwordinfix");
                ogs_buff_statusviewline += '('+OGPlugin_GetLocString("statsupdated.researchwordinfix")+')';
            }
            //==================================================================
            if (ogs_getstatsdebug_mode==true) alert("Who: "+OGPlugin_selectedWho+"\nresponse_Whoname: "+response_Whoname);
            //==================================================================
            if (text=="statsnodata") {
                statusviewline=OGPlugin_GetLocString("error.nostatsdatafound.prefix")+response_Whoname+" ("+OGPlugin_selectedRanks+")"+OGPlugin_GetLocString("error.nostatsdatafound.suffix");
                OGPlugin_SetStatusViewLabel("notify", statusviewline);
                return 0;
            } else if (text=="partialstatsdata") {
                statusviewline=OGPlugin_GetLocString("error.partialstatsdatafound.prefix")+response_Whoname +" ("+OGPlugin_selectedRanks+")"+OGPlugin_GetLocString("error.partialstatsdatafound.suffix");
                OGPlugin_SetStatusViewLabel("notify", statusviewline);
            }


            // TRAITEMENTS STATS A FAIRE OU PAS
            handlegeneralstats=OGPlugin_getBoolPref("OGPlugin.settings.handlegeneralstats", true, "");
            if (handlegeneralstats==true) { // donnes classement  traiter pour envoi sur serveur

                // test buffering activ
                enablestatbuffering=OGPlugin_getBoolPref("OGPlugin.settings.enablestatbuffering", false, '');
                if (enablestatbuffering==true ) {
                    if (OGPlugin_FillInStatsBuffer(OGPlugin_selectedWho, OGPlugin_selectedTyp, text)==0)
                        OGPlugin_SetStatusViewLabel("nothingdone", ogs_gameprefixmsg+"Donn\u00e9es de classement "+response_Whoname+"("+response_Typename+") "+OGPlugin_selectedRanks+" d\u00e9j\u00e0 pr\u00e9sentes dans le tampon!");
                } else OGPlugin_result = OGPlugin_sendText("stats",text,CurrentDocUrl);
            }  // fin test gestion page stats
            else OGPlugin_SetStatusViewLabel("notify",ogs_gameprefixmsg+statusviewline+" - "+OGPlugin_GetLocString("error.statsmanagmntdisabled"));
        }
}

/**
 * Dtection de la page message / rapport EUnivers
 **/
function OGPlugin_HandleEUniversMessagesPage(partargetdoc)
{
        ///////////////////
        // PAGE MESSAGES //
        ///////////////////

        if(CurrentDocUrl.search(/\/index\.php\?action\=messages/i) > -1) {
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("reportsfound"));

            // Copie des messages vers le presse-papier
            if (OGPlugin_getBoolPref('OGPlugin.settings.autocopytoclpbrd', false, '')) {
                // copie du contenu texte de la page dans le presse papier
                var reportstextsel = OGPlugin_GetSpyReportsTextSel(partargetdoc);
                if (OGPlugin_CopyToClipboard(reportstextsel))
                OGPlugin_SetStatusViewLabel("success", ogs_gameprefixmsg+'Page messages copi\u00e9e dans le presse-papier');
            }
            //OGPlugin_SetSendButtonLabel('reports', false);
            OGPlugin_SetSendButtonLabel("reports",false);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autoreporten", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 OGPlugin_SetSendButtonLabel("reports", true);
            }
        }
        
     
}

/**
 * Dtection de la page vue galaxie EUnivers
 **/
function OGPlugin_HandleEUniversGalaxyPage(partargetdoc)
{

        // Dtection de la page galaxie
        if(CurrentDocUrl.search(/\/index\.php\?action=galaxie/i) > -1) {

            // Copie de la page galaxie EUnivers vers le presse-papier
            if (OGPlugin_getBoolPref('OGPlugin.settings.autocopytoclpbrd', false, '')) {
                var galaxytextsel = OGPlugin_GetGalaxyTextSel(partargetdoc);
                if (OGPlugin_CopyToClipboard(galaxytextsel))
                OGPlugin_SetStatusViewLabel("success", ogs_gameprefixmsg+'Contenu de page galaxie copi\u00e9 dans le presse-papier');
            }

            //alert('page galaxie dtecte');
            OGPlugin_selectedGalaxy = OGPlugin_getGalaxy(partargetdoc);
            OGPlugin_selectedSystem = OGPlugin_getSystem(partargetdoc);
            var statusviewline=OGPlugin_GetLocString("galaxyfound.prefix")+OGPlugin_selectedGalaxy+":"+OGPlugin_selectedSystem+OGPlugin_GetLocString("galaxyfound.suffix");
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);

            if (ogs_euniverscapture_debugmode==true) {
                alert(OGPlugin_get_galaxyview_data(partargetdoc,false));
            }
            datacontent = OGPlugin_get_galaxyview_data(partargetdoc,false);
            if (datacontent.length>10 && datacontent!=null)
              OGPlugin_result = OGPlugin_sendText('galaxy',datacontent,partargetdoc.location.href);
              
            /* surbrillance active??
               laisser ici sans quoi les champs capturs contiendront d'autres infos: eg classement #10 */
            if (OGPlugin_getBoolPref('OGPlugin.settings.enablehighlighting', false, '')==true) {
                // Mise en surbrillance
                // Appel d'office, traitements descatgories dans la fonction et ses sous-fonctions
                OGPlugin_GalViewsColorTypedNames(partargetdoc, ogs_targetserverid, false /* var_foxgameRemovePlanets */); 
            }

        } //else alert(CurrentDocUrl+'\n'+CurrentDocUrl.search('index.php?action=galaxie'));
        
        return; // fin bauche code eunivers


        // Gestion page galaxie
        if (CurrentDocUrl.search(/\/index\.php\?action\=galaxie/i) > -1) {
            // break if foxgame reduced galaxyview or enhanced debris field is enabled
            var handlegalaxyviews=false;

            if (OGPlugin_getBoolPref('OGPlugin.settings.autocopytoclpbrd', false, '')) {
                var galaxytextsel = OGPlugin_GetGalaxyTextSel(parDocument);
                if (OGPlugin_CopyToClipboard(galaxytextsel))
                OGPlugin_SetStatusViewLabel("success", ogs_gameprefixmsg+'Contenu de page galaxie copiee dans le presse-papier');
            }

            // mises en commun
            OGPlugin_selectedGalaxy = OGPlugin_getGalaxy(parDocument);
            OGPlugin_selectedSystem = OGPlugin_getSystem(parDocument);
            statusviewline=OGPlugin_GetLocString("galaxyfound.prefix")+OGPlugin_selectedGalaxy+":"+OGPlugin_selectedSystem+OGPlugin_GetLocString("galaxyfound.suffix");
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);

            // --------------------------------------------------------------------

            var var_foxgameRemovePlanets = OGPlugin_FoxGameGetBooleanPref("foxgameRemovePlanets",false);

            // les vues galaxie sont-elle prises en charge?
            handlegalaxyviews=OGPlugin_getBoolPref("OGPlugin.settings.handlegalaxyviews", true, '');
            if (handlegalaxyviews==true)  {
                var galaxy_cmd="galaxy";
                //------
                var var_foxgameAddMilosButtons = OGPlugin_FoxGameGetBooleanPref("foxgameAddMilosButtons",false); // bouton vue galaxie?
                // foxgameAddMilosButtons
                if (var_foxgameAddMilosButtons==true) { // ne fonctionne que pour les bases ogspy
                     galaxy_cmd="galaxyraw";
                     text = parDocument.getElementsByTagName("input")[11].value;
                     if (text.length<10 || text=="galaxy") {
                        OGPlugin_SetStatusViewLabel("failure",OGPlugin_GetLocString("error.foxgamedbnotogspy"));
                        if (OGPlugin_getBoolPref("OGPlugin.settings.autoshowfgoptions", false, '') == true)
                           OGPlugin_ShowFoxgameOptions(2);
                     }
                } else {
                        try {
                            text = OGPlugin_get_galaxyview_data(parDocument,var_foxgameRemovePlanets);
                        } catch(e) {
                            // foxgame n'est pas install
                            text = OGPlugin_get_galaxyview_data(parDocument,false);
                        }
                }
                //
                if (OGPlugin_getBoolPref('OGPlugin.settings.enablegalviewbuffering',false,'')==true) {
                    if (OGPlugin_FillInGalBuffer(OGPlugin_selectedGalaxy+":"+OGPlugin_selectedSystem, text)==0)
                        OGPlugin_SetStatusViewLabel("nothingdone", ogs_gameprefixmsg+statusviewline+OGPlugin_GetLocString("error.galviewalreadyexistsinbuffer"));
                } else OGPlugin_result = OGPlugin_sendText(galaxy_cmd,text,CurrentDocUrl);
                // fin test gestion vue galaxie
            } else OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline+OGPlugin_GetLocString("error.galviewsmanagmntdisabled"));


            /* surbrillance active??
               laisser ici sans quoi les champs capturs contiendront d'autres infos: eg classement #10 */
            if (OGPlugin_getBoolPref('OGPlugin.settings.enablehighlighting', false, '')==true) {
                // Mise en surbrillance
                // Appel d'office, traitements descatgories dans la fonction et ses sous-fonctions
                OGPlugin_GalViewsColorTypedNames(parDocument, ogs_targetserverid, var_foxgameRemovePlanets); // obsolte ...,tmpaltfriendlyallies,tmpaltpnaallies,tmpaltenemyallies, tmpalttradingallies);
            }

            return 1;
        }
}

/**
 * Dtection de la page historique alliance EUnivers
 **/
function OGPlugin_HandleEUniversAllyPage(parDocument)
{
        var TAGLabelFound='';

        // Allyhistory
        if (CurrentDocUrl.search(/\/index\.php\?action\=alliance/i) > -1) {
            if (CurrentDocUrl.search("&subaction=listeMembres") > -1) {


               // test supplmentaire pour dtecter restauration de session firefox sur tableau alliance
               if  (AllyTAGFound!='undefined' && AllyTAGFound!=null && AllyTAGFound!='' ) { // TAG dtecte et NON undefined?
                   OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("allystatsfound")+" ("+AllyTAGFound+")");
                   if (OGPlugin_getBoolPref("OGPlugin.settings.handleallystats", true, '') == true) // vrifie si option gestion alliance perso ok
                   {
                      ally_history_content = parDocument.getElementsByTagName("table")[OGPlugin_getIntPref('OGPlugin.settings.allyhisttablerank', ogs_AllyHistRankTab, '')].innerHTML;

                      // filtrage des points de nombre
                      if (OGPlugin_getBoolPref('OGPlugin.settings.filterpointsnumber', true, '')==true)
                         ally_history_content = OGPlugin_FilterNumberPoints(ally_history_content);

                      if (ogs_allyhistorydebug_mode==true) alert(ally_history_content);

                      OGPlugin_result = OGPlugin_sendText("allyhistory",ally_history_content,CurrentDocUrl);
                   }
               } else OGPlugin_SetStatusViewLabel("nothingdone", ogs_gameprefixmsg+"Tableau alliance : cliquer sur le menu Alliance pour capturer le TAG!");

            } else /* if(CurrentDocUrl.search("&a=") == -1) */{ // page accueil alliance

              OGPlugin_SetStatusViewLabel("notify","Accueil Alliance d\u00e9tect\u00e9");
              // cas  prvoir s'il n'y a pas d'image alliance, le TAG est sur la ligne 1 dans le cas (0,1,...)

              // vrifier qu'un page d'alliance existe
              var IsPageWithAllyExists = parDocument.getElementsByTagName("table").length>=6; // Ogame 0.76 5+1

              if (IsPageWithAllyExists==true) {
                  // RECHERCHE DU TAG D'ALLIANCE
                  TAGLabelFound = parDocument.getElementsByTagName("table")[OGPlugin_getIntPref('OGPlugin.settings.allyhisttablerank', ogs_AllyHistRankTab, '')].rows[1].cells[0].innerHTML;
                  // premier cas, 2e ligne quand il n'y a pas d'image
                  if (TAGLabelFound=='TAG') {
                      //alert("tag sur premire ligne!");
                      tmpallytagread = parDocument.getElementsByTagName("table")[OGPlugin_getIntPref('OGPlugin.settings.allyhisttablerank', ogs_AllyHistRankTab, '')].rows[1].cells[1].innerHTML;
                  }
                  // si 'TAG' n'est pas trouv c'est la troisime ligne
                  else {
                          //alert("tag sur deuxime ligne!");
                          TAGLabelFound = parDocument.getElementsByTagName("table")[OGPlugin_getIntPref('OGPlugin.settings.allyhisttablerank', ogs_AllyHistRankTab, '')].rows[2].cells[0].innerHTML;
                          tmpallytagread = parDocument.getElementsByTagName("table")[OGPlugin_getIntPref('OGPlugin.settings.allyhisttablerank', ogs_AllyHistRankTab, '')].rows[2].cells[1].innerHTML;

                       }

                  // masque qui tient compte du changement de TAG nouveau (ex: ancien )
                  var RegExpAllyTag=new RegExp("^(.+)\s?(?:\(.*\))$","");

                  AllyTAGFound = RegExpAllyTag.exec(tmpallytagread)[1];

                  //alert("tag ally: "+AllyTAGFound);

                  //alert(TAGLabelFound+"-"+AllyTAGFound);

                  if ((AllyTAGFound!='') && TAGLabelFound=='TAG') {
                      if (AllyTAGFound!='undefined')
                          statusviewline = OGPlugin_GetLocString("allypagefound")+" ("+AllyTAGFound+")";
                      else statusviewline = OGPlugin_GetLocString("allypagefound")+" ("+OGPlugin_GetLocString("error.allyundefined")+")";
                  }

                  OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);
                }
            }
        }

}

/**
 * Dtection de la page Empire EUnivers - Vue Globale
 **/
function OGPlugin_HandleEUniversVueGlobalePage(parDocument) // vue globale
{
        if (CurrentDocUrl.search(/\/index\.php\?action\=overview/i) > -1) {
            //alert("empire");

            OGPlugin_SetSendButtonLabel("planetempire", true);
            statusviewline = OGPlugin_GetLocString("empireglobalviewfound");

            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+statusviewline);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendempirepage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else { document.getElementById("OGPlugin-reports").disabled = false; }
        }
}

/**
 * Dtection et prparation au traitement des rapports de combat EUnivers
 **/
function OGPlugin_HandleEUniversCombatReportPage(parDocument)
{
        // attention les rapports d'espionnage surgissant sont affich par ce script beright.php
        if (CurrentDocUrl.search(/\/popup\.php\?action\=message/i) > -1) {/* && !disable_extra_page_detection */

            if (ogs_getreportsdebug_mode==true) alert("rapport de combat surgissant");
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("combatrepfound"));
            //-----
            ogs_messagetype = "spyreport_onpopup";
            OGPlugin_SetSendButtonLabel("reports", false);
            if (OGPlugin_getBoolPref("OGPlugin.settings.autoreport", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else document.getElementById("OGPlugin-reports").disabled = false;
        }
}

/**
 * Dtection de la page btiments EUnivers
 **/
function OGPlugin_HandleEUniversBuildingPage(parDocument)
{
        // Buildings - /game/b_building.php - pas d'autres param type sous-page (defence, techno, etc...)
        if (CurrentDocUrl.search(/\/index\.php\?action\=batiments/i) > -1) {
            OGPlugin_SetSendButtonLabel("buildings", true);
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("buildingsfound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendbuildingpage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
        }
}

/**
 * Prise en charge de la page de sommaire de la plante: temprature,
 * diamtre, nb de cases, etc... EUnivers
 **/
function OGPlugin_HandleEUniversAccueilPage(parDocument)  // Accueil == overview
{
        if (CurrentDocUrl.search(/\/index\.php\?action\=accueil/i) > -1) {
            OGPlugin_SetSendButtonLabel("overview", true);
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("overviewfound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendoverviewpage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false; // activation du bouton
            }
        }
}

/**
 * Dtection de la page Ressources EUnivers
 **/
function OGPlugin_HandleEUniversRessourcePage() // argument inutile
{
        // Ressources - /index.php?action=ressources - pas d'autres param type sous-page (btiments/defence, btiments/techno, etc...)
        if (CurrentDocUrl.search(/\/index\.php\?action\=ressources/i) > -1) {
            OGPlugin_SetSendButtonLabel("resources", true);
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("resourcesfound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendresourcespage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
        }
}

/**
 * Dtection de la page Laboratoire EUnivers
 **/
function OGPlugin_HandleEUniversCentreTechniquePage() // argument inutile
{
        // Ressources - /game/resources.php - pas d'autres param type sous-page (btiments/defence, btiments/techno, etc...)
        if (CurrentDocUrl.search(/\/index\.php\?action\=labo/i) > -1) {
             OGPlugin_SetSendButtonLabel("technos", true);
             OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("techcenterfound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendtechnopage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
        }
}


/**
 * Dtection de la page Flotte(plante/lune) EUnivers
 **/
function OGPlugin_HandleEUniversFleetPage() 
{
        // Flotten - /game/flotten.php - pas d'autres param type sous-page (btiments/defence, btiments/techno, etc...)
        if (CurrentDocUrl.search(/\/index\.php\?action\=flotte/i) > -1) {
            OGPlugin_SetSendButtonLabel("flotten", true);
            OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("flottenfound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendfleetpage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
        }
}

/**
 * Dtection et traitement des pages laboratoire, chantier spatial et dfense
 **/
function OGPlugin_HandleEUniversAltBuildingsPage() // argument inutile
{
         if (CurrentDocUrl.search(/\/index\.php\?action\=chantier/i) > -1 && false /* dsactiv - inutile */) {
           // Platerforme spatiale
           if (CurrentDocUrl.search("subaction=flotte") > -1) {
             OGPlugin_SetSendButtonLabel("shipyard", true);
             OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("plateformespatialefound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosendshipyardpage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
           }

           //defence  - index.php?action=chantier&subaction=flotte
           else if (CurrentDocUrl.search("subaction=def") > -1) {
              OGPlugin_SetSendButtonLabel("defence", true);
              OGPlugin_SetStatusViewLabel("notify", ogs_gameprefixmsg+OGPlugin_GetLocString("defencefound")+PlanetNameWithCoords);

            if (OGPlugin_getBoolPref("OGPlugin.settings.autosenddefencepage", false, '')==true)
               OGPlugin_GetEUniversPageReport();
            else {
                 document.getElementById("OGPlugin-reports").disabled = false;
            }
           }
        } // fin page buidlings
}

